#include "stm32f0xx_adc.h"
#include "adc_conf.h"

void adc_conf(void)
	{
	//domyslnie - do pracy w charakterze zbieracza probek z czujnika
	ADC_InitTypeDef ADC_InitStruct;
	ADC_StructInit(&ADC_InitStruct);

	ADC_InitStruct.ADC_Resolution = ADC_Resolution_12b;
	ADC_InitStruct.ADC_DataAlign = ADC_DataAlign_Right;
	ADC_InitStruct.ADC_ScanDirection = ADC_ScanDirection_Upward;
	ADC_InitStruct.ADC_ExternalTrigConv = DISABLE;
	ADC_InitStruct.ADC_ExternalTrigConvEdge = ADC_ExternalTrigConvEdge_None;
	ADC_InitStruct.ADC_ContinuousConvMode = ENABLE;
	ADC_Init(ADC1, &ADC_InitStruct);
	ADC_ChannelConfig(ADC1, ADC_Channel_0, ADC_SampleTime_239_5Cycles);
	ADC_GetCalibrationFactor(ADC1); //kalibracja ADC
	ADC_Cmd(ADC1, ENABLE);
	ADC_ITConfig(ADC1, ADC_IT_EOC, ENABLE);
	ADC_StartOfConversion(ADC1); //rozpoczecie pierwszej konwersji
}

void change_adc(uint8_t numer_opcji){

	if(numer_opcji == 0){ //wylaczenie przerwan od ADC
		ADC1->CHSELR = (uint32_t)ADC_Channel_0;
	}

	if(numer_opcji == 1){ //potencjometr LOW
		ADC1->CHSELR = (uint32_t)ADC_Channel_2;
	}

	if(numer_opcji == 2){ //potencjometr HIGH

		ADC1->CHSELR = (uint32_t)ADC_Channel_1;
	}


	
}



