#include "delay.h"

volatile uint32_t TimingDelay = 0;
volatile uint32_t ChannelDelay[DELAY_CHANNELS] = {0};

//--------------------------------------------
void SysTick_Handler(void)
{
  TimingDelay_Decrement();
}
//--------------------------------------------
void Delay(uint32_t nTime)
{
	TimingDelay = nTime;

	while(TimingDelay != 0);

}
//--------------------------------------------
void TimingDelay_Decrement(void)
{
	uint8_t cnt; //deklaracja zmiennej, ktora przeszuka wszystkie eementy CahnnelDelay
	for(cnt = 0 ; cnt < DELAY_CHANNELS ; cnt++)
	{
		if(ChannelDelay[cnt] != 0){ ChannelDelay[cnt]--; }
	}
	
	if (TimingDelay != 0){ TimingDelay--; }

}
//--------------------------------------------
void SetDelayTime(uint8_t DelayChannel, uint32_t DelayTime)
{
ChannelDelay[DelayChannel] = DelayTime;
}
//--------------------------------------------
uint32_t CheckDelay(uint8_t DelayChannel)
{
return ChannelDelay[DelayChannel];
}


