#include "stm32f0xx.h"
#include "stm32f0xx_conf.h"
/***********************************************
Funkcje realizujace opoznienie @ Michal Kurzela:
Delay(uint32_t nTime) 
- wstrzymuje dzialanie programu w pustej petli, az do odliczenia zadanej liczby taktw SysTick
SetDelayTime(uint8_t DelayChannel, uint32_t DelayTime)
- ustawia dany kanal blokujacy
- w ciagu odliczania przerwania od SysTick dekrementuja ustawiony DelayTime
- kazdy kanal mozna ustawic niezaleznie
CheckDelay(uint8_t DelayChannel)
- zwraca aktualna wartosc DelayTime dla tego kanalu
- dobre do petli while() i instrukcji for(), poniewaz po odliczeniu wartosc stanie sie zerowa
- w trakcie odliczania, ma wartosc wieksza od zera (logiczne TRUE)
TimingDelay_Decrement(void)
- dekrementuje wszystkie wartosci
***********************************************/

#define DELAY_CHANNELS 5 //liczba kanalow realizujacych opoznienie niezalezne

void SysTick_Handler(void); //przerwanie od SysTick
void Delay(uint32_t nTime); //funkcja opoznienia glownego
void TimingDelay_Decrement(void); //dekrementacja zmiennej licznikowej
void SetDelayTime(uint8_t DelayChannel, uint32_t DelayTime); //odczekiwanie nieblokujace
uint32_t CheckDelay(uint8_t DelayChannel); //sprawdzenie stanu zmiennej licznikowej w danym kanale
