#include "spi_conf.h"

void spi_conf(void)
	{
	SPI_InitTypeDef SPI_InitStruct;
	SPI_StructInit(&SPI_InitStruct);
	SPI_InitStruct.SPI_Direction = SPI_Direction_1Line_Tx;
	SPI_InitStruct.SPI_Mode = SPI_Mode_Master;
	SPI_InitStruct.SPI_DataSize = SPI_DataSize_16b;
	SPI_InitStruct.SPI_CPOL = SPI_CPOL_Low;
	SPI_InitStruct.SPI_CPHA = SPI_CPHA_1Edge;
	SPI_InitStruct.SPI_NSS = SPI_NSS_Soft;
	SPI_InitStruct.SPI_BaudRatePrescaler = SPI_BaudRatePrescaler_2;
	SPI_InitStruct.SPI_FirstBit = SPI_FirstBit_MSB;
	SPI_InitStruct.SPI_CRCPolynomial = 0;
	SPI_Init(SPI1, &SPI_InitStruct);
	SPI_Cmd(SPI1, ENABLE);
	}
	
void send_display(uint8_t disp, uint8_t leds)
{
	uint8_t byte_send, byte_send_led; //bajty do wysania

	switch(disp)
	{
	case 0: byte_send = 0b00000010; break;
	case 1: byte_send = 0b11001110; break;
	case 2: byte_send = 0b00100100; break;
	case 3: byte_send = 0b10000100; break;
	case 4: byte_send = 0b11001001; break;
	case 5: byte_send = 0b10010000; break;
	case 6: byte_send = 0b00010000; break;
	case 7: byte_send = 0b11000110; break;
	case 8: byte_send = 0b00000000; break;
	case 9: byte_send = 0b10000000; break;
	}

	switch(leds)
	{
	case 0: byte_send_led = 0b00000000; break;
	case 1: byte_send_led = 0b10000000; break;
	case 2: byte_send_led = 0b11000000; break;
	case 3: byte_send_led = 0b11100000; break;
	case 4: byte_send_led = 0b11110000; break;
	case 5: byte_send_led = 0b11111000; break;
	case 6: byte_send_led = 0b11111100; break;
	case 7: byte_send_led = 0b11111110; break;
	case 8: byte_send_led = 0b11111111; break;
	}

	GPIO_ResetBits(GPIOA, GPIO_Pin_4); //STCP = 0;
	SPI_I2S_SendData16(SPI1, (byte_send_led << 8) | byte_send);
	GPIO_SetBits(GPIOA, GPIO_Pin_4); //STCP = 1;


}


